default: all

CLASSPATH=.:xml.jar:/usr/java/lib/classes.zip

SOURCES = $(shell ls *.java)

Defs.class: Defs.java
	javac -classpath $(CLASSPATH) Defs.java

AttributeDef.class: AttributeDef.java
	javac -classpath $(CLASSPATH) AttributeDef.java

ClassDef.class: ClassDef.java
	javac -classpath $(CLASSPATH) ClassDef.java

Query.class: Query.java
	javac -classpath $(CLASSPATH) Query.java

#makedefs: 
#	./makedefs

do_makedefsall: Defs.class ClassDef.class AttributeDef.class Query.class \
		attributes.xml attributes.dtd classes.xml classes.dtd
	./makedefsall

all: do_makedefsall

clean:
	rm *.class

